<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * formulario de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
		
	$idu	= ( isset( $_GET['post'] ) ) ? _mysql_obtener_reg( MYSQL_PREFIJO_SISX."usuarios", "id='" . $_GET['post'] . "'", "id" ) : 0;
	if( $idu === yPanel::usuario_id() )
	{
?>
	
	<form method="post" action="<?php echo com_base() ?>prcss.php" id="fCpass">
		<input type="hidden" name="post" value="<?php echo md5( com_obtReg( "id" ) ) ?>">
		<fieldset>
			<legend><?php echo etiqueta( 'legend_cpass_1', 'Crea tu nueva contraseña' ) ?></legend>
				<ul class="row">
					<li class="col-sm-4"><label for="pass"><?php echo etiqueta( 'e_pass', 'Contraseña antigua' ) ?></label></li>
					<li class="col-sm-8"><input type="password" id="pass" name="pass"></li>
					<li class="col-sm-4"><label for="npass"><?php echo etiqueta( 'e_npass', 'Contraseña nueva' ) ?></label></li>
					<li class="col-sm-8"><input type="password" id="npass" name="npass" ></li>
					<li class="col-sm-4"><label for="rnpass"><?php echo etiqueta( 'e_rnpass', 'Reescriba contraseña' ) ?></label></li>
					<li class="col-sm-8"><input type="password" id="rnpass" name="rnpass" ></li>
				</ul>			
		</fieldset>
		<div align="right"><?php echo com_boton( 'bcancelar', etiqueta( 'b_cancelar', 'Cancelar' ) ) ?> <button><?php echo etiqueta( 'b_cambiarpass', 'Guardar cambios' ); ?></button></div>
	</form>
	<script type="text/javascript">
		$_('#fCpass').onsubmit = function(){
			if( this.pass.value.length < 6 ){
				this.pass.focus();
				MsjBox.mostrar( '<?php echo etiqueta( 'msj_pass', 'Por favor ingrese su contraseña antigua' ); ?>' );
				return false;
			}
			if( this.npass.value.length < 6 ){
				this.npass.focus();
				MsjBox.mostrar( '<?php echo etiqueta( 'msj_npass', 'Por favor ingrese su nueva contraseña' ); ?>' );
				return false;
			}
			if( this.rnpass.value != this.npass.value ){
				this.rnpass.focus();
				MsjBox.mostrar( '<?php echo etiqueta( 'msj_rnpass', 'Las contraseñas no coinciden' ); ?>' );
				return false;
			}
			
			eform(this);
		}
		
		$_("#bcancelar").onclick = function(){ history.go(-1); }
	</script>
<?php 
	}
?>